PETSc version 3.15.5
Fix/Edit manual page

# DMPlexRestoreConeRecursive

Deallocates arrays created by DMPlexGetConeRecursive

### Synopsis

    #include "petscdmplex.h"
    PetscErrorCode DMPlexRestoreConeRecursive(DM dm, IS points, PetscInt *depth, IS *expandedPoints[], PetscSection *sections[])

Not collective

### Input Parameters

| dm | - The DMPlex
| points | - The IS of points, which must lie in the chart set with DMPlexSetChart()

### Output Parameter

| depth | - (optional) Size of the output arrays, equal to DMPlex depth, returned by DMPlexGetDepth()
| expandedPoints | - (optional) An array of recursively expanded cones
| sections | - (optional) An array of sections which describe mappings from points to their cone points

### Notes

See DMPlexGetConeRecursive() for details.

### See Also

DMPlexCreate(), DMPlexGetCone(), DMPlexGetConeTuple(), DMPlexGetConeRecursive(), DMPlexGetConeRecursiveVertices(), DMPlexGetDepth()

### Level

advanced

### Location

src/dm/impls/plex/plex.c
Index of all DMPLEX routines
Table of Contents for all manual pages
Index of all manual pages